Bug 858017 - mock specfile results in large amounts of spam to fedora test list
mock specfile results in large amounts of spam to fedora test list
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 15:33 EDT by Eric Blake
Modified: 2012-11-02 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-02 22:41:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2012-09-17 15:33:12 EDT
Description of problem:
Something in the mock specfile is causing the daily compose emails to the Fedora test list to be several hundred kilobytes larger than necessary, with highly redundant and mostly pointless information.

Version-Release number of selected component (if applicable):
mock-1.1.27-2.fc17

How reproducible:
100%

Steps to Reproduce:
1. look at https://lists.fedoraproject.org/pipermail/test/2012-September/110160.html
2.
3.
  
Actual results:
Notice how much redundant information is tied to mock:

================================================================================
 mock-1.1.27-2.fc17 (FEDORA-2012-14117)
 Builds packages inside chroots
--------------------------------------------------------------------------------
Update Information:

fix various start/finish state problems
remove dead code, unused array 'legal_arches'
add CLONE_NEWPID and CLONE_NEWIPC to unshare call
add an 'age_check' parameter to root_cache
deal with NFS home directories and root_cache issues
Fix mock kernel version comparison
add f18 configs
add missing s390 rawhide config

Fix mistake in committing fedora-17-ppc* configs
Fixed dropped commit for ppc/ppc64 configs on f17
Added package_state_plugin and bugfixes
Added mockchain which takes a mock config and a series of srpms, rebuilds the srpms one by one, adding each resulting rpm to a local repository so that they are available as build deps to the next package being built

Remove EPEL-4 configs
fix problem in scm.py with SSH_AUTH_SOCK [BZ# 803217]
fix baseurl (remove dist-) for f17 configs [BZ# 795409]
fix incorrect setting of gid in UidManager.changeOwner() [BZ# 782449]
allow chroot group to be configurable [BZ# 719099]

Remove EPEL-4 configs
fix problem in scm.py with SSH_AUTH_SOCK [BZ# 803217]
fix baseurl (remove dist-) for f17 configs [BZ# 795409]
fix incorrect setting of gid in UidManager.changeOwner() [BZ# 782449]
allow chroot group to be configurable [BZ# 719099]

Remove EPEL-4 configs
fix problem in scm.py with SSH_AUTH_SOCK [BZ# 803217]
fix baseurl (remove dist-) for f17 configs [BZ# 795409]
fix incorrect setting of gid in UidManager.changeOwner() [BZ# 782449]
allow chroot group to be configurable [BZ# 719099]
... ad nauseum

Expected results:
succinct summaries, like most other packages

Additional info:
Comment 1 Clark Williams 2012-09-24 13:56:59 EDT
I wonder if that's a consequence of the way I do updates? I usually have two updates out there, the first addresses latest-fedora, latest-1 and EPEL-6 and the second addresses EPEL-5.  I put the same set of BZ's in both updates. Could I be confusing the compose logic that way?
Comment 2 Clark Williams 2012-11-02 22:41:47 EDT
Yeah, it's not the specfile, its the updater copying in old updates. I edited the update text down to a managable size this time.

Note You need to log in before you can comment on or make changes to this bug.